Loading...
Searching...
No Matches
D3D12_RESOURCE_BARRIER Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes

D3D12_RESOURCE_BARRIER_TYPE | Type
D3D12_RESOURCE_BARRIER_FLAGS | Flags
union { |
D3D12_RESOURCE_TRANSITION_BARRIER Transition |
D3D12_RESOURCE_ALIASING_BARRIER Aliasing |
D3D12_RESOURCE_UAV_BARRIER UAV |
}; |

## Detailed Description

Definition at line 2886 of file mini_d3d12.h.

## Member Data Documentation

## Type

D3D12_RESOURCE_BARRIER_TYPE D3D12_RESOURCE_BARRIER::Type

Definition at line 2887 of file mini_d3d12.h.

## Flags

D3D12_RESOURCE_BARRIER_FLAGS D3D12_RESOURCE_BARRIER::Flags

Definition at line 2888 of file mini_d3d12.h.

## Transition

D3D12_RESOURCE_TRANSITION_BARRIER D3D12_RESOURCE_BARRIER::Transition

Definition at line 2890 of file mini_d3d12.h.

## Aliasing

D3D12_RESOURCE_ALIASING_BARRIER D3D12_RESOURCE_BARRIER::Aliasing

Definition at line 2891 of file mini_d3d12.h.

## UAV

D3D12_RESOURCE_UAV_BARRIER D3D12_RESOURCE_BARRIER::UAV

Definition at line 2892 of file mini_d3d12.h.

## [union]

union { ... } D3D12_RESOURCE_BARRIER

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h